
#include <iostream>
#include "generated/_test1.hpp"
#include "generated/_original.hpp"

int main() {
    std::cout << "Testing file recreation..." << std::endl;
    
    // Test single file recreation
    std::cout << "Recreating single file..." << std::endl;
    if (recreate_test1::recreate_file("recreated")) {
        std::cout << "Single file recreation returned true" << std::endl;
    }
    
    // Test directory recreation
    std::cout << "Recreating directory tree..." << std::endl;
    if (recreate_original::recreate_tree("recreated/tree")) {
        std::cout << "Directory recreation returned true" << std::endl;
    }
    
    return 0;
}
